Bug 1283762 - [abrt] blivet-gui
[abrt] blivet-gui
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: blivet-gui (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vojtech Trefny
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:2c2d9b0197fe65a336d62551360...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-19 13:37 EST by Ting-Wei Lan
Modified: 2016-12-20 11:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:06:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (850 bytes, text/plain)
2015-11-19 13:37 EST, Ting-Wei Lan
no flags Details
File: environ (1.10 KB, text/plain)
2015-11-19 13:37 EST, Ting-Wei Lan
no flags Details

  None (edit)
Description Ting-Wei Lan 2015-11-19 13:37:11 EST
Description of problem:
I run blivet-gui, and it tells me to enter the password. It doesn't show anything and abrt says it crashed after several seconds.

Version-Release number of selected component:
blivet-gui-1.0.2-1.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python3 /usr/bin/blivet-gui
executable:     /usr/bin/blivet-gui
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           Python3
uid:            1001

Truncated backtrace:
client.py:97:__init__:PermissionError: [Errno 13] 拒絕不符權限的操作

Traceback (most recent call last):
  File "/usr/bin/blivet-gui", line 120, in <module>
    main()
  File "/usr/bin/blivet-gui", line 109, in main
    kickstart_mode=options.kickstart)
  File "/usr/lib/python3.4/site-packages/blivetgui/blivetgui.py", line 79, in __init__
    self.client = BlivetGUIClient(self, self.server_socket, self.secret)
  File "/usr/lib/python3.4/site-packages/blivetgui/communication/client.py", line 97, in __init__
    self.sock.connect(server_socket)
PermissionError: [Errno 13] 拒絕不符權限的操作

Local variables in innermost frame:
server_socket: b'/tmp/tmp52dj39xw/blivet-gui.sock'
self: <blivetgui.communication.client.BlivetGUIClient object at 0x7fd9c478d7b8>
blivetgui: <blivetgui.blivetgui.BlivetGUI object at 0x7fd9cc7330b8>
Comment 1 Ting-Wei Lan 2015-11-19 13:37:16 EST
Created attachment 1096859 [details]
File: backtrace
Comment 2 Ting-Wei Lan 2015-11-19 13:37:17 EST
Created attachment 1096861 [details]
File: environ
Comment 3 Ting-Wei Lan 2015-11-30 13:23:27 EST
It seems this bug is a duplicate of bug 1274451 because running 'xhost +SI:localuser:root' can prevent this problem.
Comment 4 Vojtech Trefny 2015-12-01 03:57:14 EST
Not sure if this is the same problem, I'm using "pkexec" (policykit) not sudo, so it should work on Wayland. I'll test it a little more.
Comment 5 Ting-Wei Lan 2015-12-01 04:21:06 EST
$ pkexec blivet-gui
Unable to init server: Could not connect: Connection refused
Unable to init server: Could not connect: Connection refused
Unable to init server: Could not connect: Connection refused

(blivet-gui:26683): Gtk-CRITICAL **: gtk_settings_get_for_screen: assertion 'GDK_IS_SCREEN (screen)' failed
Segmentation fault (core dumped)


blivet library itself (without GUI) also crashes on my machine, but I think the problem we see here is related to Wayland.
https://github.com/rhinstaller/blivet/issues/288
Comment 6 Fedora End Of Life 2016-11-24 08:35:38 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2016-12-20 11:06:49 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.